Package com.google.gwt.canvas.dom.client

## Enum Context2d.TextAlign

- java.lang.Object
- - java.lang.Enum<Context2d.TextAlign>
  - - com.google.gwt.canvas.dom.client.Context2d.TextAlign

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Context2d.TextAlign>`
  Enclosing class:
    Context2d

      public static enum Context2d.TextAlign
      extends java.lang.Enum<Context2d.TextAlign>

  Enum for text align style.
  See Also:
    `Context2d.setTextAlign(TextAlign)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CENTER` |
    `END` |
    `LEFT` |
    `RIGHT` |
    `START` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getValue()` |
    `static Context2d.TextAlign` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Context2d.TextAlign[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CENTER

          public static final Context2d.TextAlign CENTER

    - #### END

          public static final Context2d.TextAlign END

    - #### LEFT

          public static final Context2d.TextAlign LEFT

    - #### RIGHT

          public static final Context2d.TextAlign RIGHT

    - #### START

          public static final Context2d.TextAlign START

  - ### Method Detail

    - #### values

          public static Context2d.TextAlign[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Context2d.TextAlign c : Context2d.TextAlign.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Context2d.TextAlign valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()